<?php

require_once("../includes/clase_sesion.php");
$sesion = new sesion(); // inicio la sesion
require_once("../includes/funciones_generales.php");

if (!comprobar_sesion()) {
    $ar = array();
    $ar['error'] = 'session';
    echo json_encode($ar);
    exit;
} 
$permisos = str_split($sesion->get('permiso'));
if (!in_array("A", $permisos) && !in_array("M", $permisos) && !in_array("E", $permisos)) {
    $rta = array('error' => '10001'."No tiene permisos", 'desc' => "No tiene permisos");
    echo json_encode($rta);
    exit;    
}

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST, AC_CONN_USER, AC_CONN_PASS, AC_CONN_DB . "" . $sesion->get('anio'));

if (isset($_POST['oper'])) {
    $acction = $_POST['oper'];
    $cad = "";
    switch ($acction) {
        case 'xmat':
            $dts = $_POST["x"];
            foreach ($dts as $dt) {
                $cad = $cad . $dt["id"] . "|" . $dt["per_act"] . "|";
            }
            $sql = "call SP_BLQ_PERIODOSXGRUPOXMATERIA('$acction', '$cad',0)";
            break;
        case 'xgrps':
            $periodo = $_POST["perdblq"];
            $dts = $_POST["grps"];
            $cbcrit = $_POST["cbcrit"];
            foreach ($dts as $dt) {
                $cad = $cad . $dt . "|" . $periodo . "|";
            }
            $sql = "call SP_BLQ_PERIODOSXGRUPOXMATERIA('$acction', '$cad',$cbcrit)";
            break;
        default:
            $sql = "";
    }

    if ($sql != '') {
        $academia->instruccion($sql);
        $rta = array('error' => $academia->extraer_error());
        echo json_encode($rta);
    }
}
$academia->cerrar();
?>